Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.db
Class RowMutation

    java.lang.Object
      org.apache.cassandra.db.RowMutation

    public class RowMutation

extends java.lang.Object

Field Summary
`static java.lang.String` | `HINT`
`protected java.util.Map<java.lang.String,ColumnFamily>` | `modifications_`

Constructor Summary
`` | `RowMutation(java.lang.String table, Row row)`
`` | `RowMutation(java.lang.String table, java.lang.String key)`
`protected` | `RowMutation(java.lang.String table, java.lang.String key, java.util.Map<java.lang.String,ColumnFamily> modifications)`

Method Summary
`void` | `add(ColumnFamily columnFamily)`
`void` | `add(QueryPath path, byte[] value, long timestamp)`
`void` | `apply()`
`java.util.Set<java.lang.String>` | `columnFamilyNames()`
`void` | `delete(QueryPath path, long timestamp)`
`java.util.Collection<ColumnFamily>` | `getColumnFamilies()`
`static RowMutation` | `getRowMutation(java.lang.String table, java.lang.String key, java.util.Map<java.lang.String,java.util.List<ColumnOrSuperColumn>> cfmap)`
`static RowMutation` | `getRowMutationFromMutations(java.lang.String keyspace, java.lang.String key, java.util.Map<java.lang.String,java.util.List<Mutation>> cfmap)`
`DataOutputBuffer` | `getSerializedBuffer()`
`java.lang.String` | `getTable()`
`boolean` | `isEmpty()`
`java.lang.String` | `key()`
`Message` | `makeRowMutationMessage()`
`Message` | `makeRowMutationMessage(StorageService.Verb verb)`
`void` | `removeColumnFamily(ColumnFamily columnFamily)` should only be called by commitlog replay code
`static ICompactSerializer<RowMutation>` | `serializer()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### HINT

    public static final java.lang.String HINT

See Also:
  Constant Field Values

### modifications_

    protected java.util.Map<java.lang.String,ColumnFamily> modifications_

Constructor Detail

### RowMutation

    public RowMutation(java.lang.String table,
                       java.lang.String key)

### RowMutation

    public RowMutation(java.lang.String table,
                       Row row)

### RowMutation

    protected RowMutation(java.lang.String table,
                          java.lang.String key,
                          java.util.Map<java.lang.String,ColumnFamily> modifications)

Method Detail

### serializer

    public static ICompactSerializer<RowMutation> serializer()

### getTable

    public java.lang.String getTable()

### key

    public java.lang.String key()

### columnFamilyNames

    public java.util.Set<java.lang.String> columnFamilyNames()

### getColumnFamilies

    public java.util.Collection<ColumnFamily> getColumnFamilies()

### add

    public void add(ColumnFamily columnFamily)

### removeColumnFamily

    public void removeColumnFamily(ColumnFamily columnFamily)

  should only be called by commitlog replay code

### isEmpty

    public boolean isEmpty()

### add

    public void add(QueryPath path,
                    byte[] value,
                    long timestamp)

### delete

    public void delete(QueryPath path,
                       long timestamp)

### apply

    public void apply()
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### makeRowMutationMessage

    public Message makeRowMutationMessage()
                                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### makeRowMutationMessage

    public Message makeRowMutationMessage(StorageService.Verb verb)
                                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### getRowMutationFromMutations

    public static RowMutation getRowMutationFromMutations(java.lang.String keyspace,
                                                          java.lang.String key,
                                                          java.util.Map<java.lang.String,java.util.List<Mutation>> cfmap)

### getRowMutation

    public static RowMutation getRowMutation(java.lang.String table,
                                             java.lang.String key,
                                             java.util.Map<java.lang.String,java.util.List<ColumnOrSuperColumn>> cfmap)

### getSerializedBuffer

    public DataOutputBuffer getSerializedBuffer()
                                         throws java.io.IOException

  Throws:
    `java.io.IOException`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 The Apache Software Foundation